ssdeep_2.14-1_amd64.deb


Advertisement

Description

ssdeep - recursive piecewise hashing tool

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ssdeep
Package version 2.14
Package release 1
Package architecture amd64
Package type deb
Installed size 78 B
Download size 32.38 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ssdeep_2.14-1_i386.deb 2.14 i386 Debian Main
ssdeep - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Download

Type URL
Binary Package ssdeep_2.14-1_amd64.deb
Source Package ssdeep

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ssdeep deb package:
    # sudo apt-get install ssdeep

Files

Path
/usr/bin/ssdeep
/usr/share/doc/ssdeep/FILEFORMAT
/usr/share/doc/ssdeep/NEWS.gz
/usr/share/doc/ssdeep/changelog.Debian.gz
/usr/share/doc/ssdeep/changelog.gz
/usr/share/doc/ssdeep/copyright
/usr/share/man/man1/ssdeep.1.gz

Changelog

2017-09-18 - Joao Eriberto Mota Filho <eriberto@debian.org>
ssdeep (2.14-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* New upstream homepage.
* debian/control:
- Bumped Standards-Version to 4.0.0.
- Removed no longer needed build dependency dh-autoreconf.
- Removed the obsolete package libfuzzy2-dbg.
* debian/copyright:
- Added a new upstream.
- Updated upstream and packaging copyright years.
* debian/rules: removed no longer needed target override_dh_strip.
* debian/watch: updated.
2016-11-29 - Joao Eriberto Mota Filho <eriberto@debian.org>
ssdeep (2.13-3) unstable; urgency=medium
* Team upload.
* Bumped DH level to 10.
* debian/control:
- Bumped Standards-Version to 3.9.8.
- Updated the Vcs-* fields to use https instead of http and git.
* debian/copyright:
- Fixed the licensing for some files.
- Updated the packaging copyright years.
* debian/libfuzzy2.docs: renamed to libfuzzy-dev.docs.
* debian/libfuzzy-dev.install: added the libfuzzy.a.
* debian/patches/10_fix-spelling-final-executable.patch: created.
* debian/rules: removed the '--with autoreconf' because it is default
in DH 10.
* debian/watch:
- Bumped to version 4.
- Fixed the searching.
2015-06-17 - Joao Eriberto Mota Filho <eriberto@debian.org>
ssdeep (2.13-2) unstable; urgency=medium
* Team upload.
* Upload to unstable.
2015-06-12 - Joao Eriberto Mota Filho <eriberto@debian.org>
ssdeep (2.13-1) experimental; urgency=medium
* Team upload.
* New upstream release. (Closes: #703808, #781568)
* debian/control:
- Added the word 'forensics' to long description.
- Updated the Vcs-* fields.
* debian/copyright: full updated.
* debian/libfuzzy2.docs: added to install the README file.
* debian/libfuzzy2.symbols: updated.
* debian/rules:
- Added the variable DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
- Added the override_dh_installdocs target to install the 'NEWS' file in
all binaries.
- Removed the old-style definition about the LDFLAGS.
* debian/watch: improved.
2014-10-24 - Helmut Grohne <helmut@subdivi.de>
ssdeep (2.12-1) unstable; urgency=medium
* Team upload.
* Imported upstream version 2.12 (Closes: #764357)
+ Drop patch enable_shared_library.patch (applied).
* Declare compliance with policy version 3.9.6: no changes needed
2014-09-16 - Helmut Grohne <helmut@subdivi.de>
ssdeep (2.11-1) unstable; urgency=medium
* Team upload.
* Imported upstream version 2.11 (Closes: #741431)
+ New thread-safe libfuzzy API functions (Closes: #721217)
Update debian/libfuzzy2.symbols
+ No longer uses PATH_MAX
+ Fixes hash scoring (Closes: #760817)
+ Fixes memory leak (Closes: #702551)
* Add patch to build shared library again
* Declare compliance with policy version 3.9.5: no changes needed
* Switch from autotools-dev to dh-autoreconf to support new architectures
(Closes: #734912)
* Fix changelog syntax for 2.7-2: missing colon after "Closes".
* Bump to debhelper compat level 9.
+ Hardening just works
+ Multi-Arch paths (update debian/*.install)
* Convert to Multi-Arch
* Update debian/copyright.
2012-12-06 - Michael Prokop <mika@debian.org>
ssdeep (2.7-2) unstable; urgency=low
[ Christophe Monniez ]
* [8c07aaa] Adding the missing Breaks+Replaces (Closes: #694368).
2011-10-12 - Julien Valroff <julien@debian.org>
ssdeep (2.7-1) unstable; urgency=low
* Team upload.
[ Julien Valroff ]
* Update DEP-5 copyright syntax
[ Christophe Monniez ]
* Imported Upstream version 2.7

See Also

Package Description
sse3-support_5_amd64.deb prevent installation on processors without required instructions
sse4.2-support_5_amd64.deb prevent installation on processors without required instructions
ssed_3.62-7+b1_amd64.deb The super sed stream editor
ssft_0.9.17_all.deb Shell Scripts Frontend Tool
ssg-applications_0.1.39-2_all.deb SCAP Guides and benchmarks targeting userspace applications
ssg-base_0.1.39-2_all.deb SCAP Security guide base content and documentation
ssg-debderived_0.1.39-2_all.deb SCAP Guides and benchmarks targeting Debian-based OS
ssg-debian_0.1.39-2_all.deb SCAP Guides and benchmarks targeting Debian 8
ssg-nondebian_0.1.39-2_all.deb SCAP Guides and benchmarks targeting other GNU/Linux OS
ssh-agent-filter_0.5.1-1_amd64.deb filtering proxy for ssh-agent
ssh-askpass-fullscreen_0.3-3.1+b2_amd64.deb Under Gnome2, asks user for a passphrase for ssh-add
ssh-askpass-gnome_7.7p1-3_amd64.deb interactive X program to prompt users for a passphrase for ssh-add
ssh-askpass_1.2.4.1-10_amd64.deb under X, asks user for a passphrase for ssh-add
ssh-audit_1.7.0-2_all.deb tool for ssh server auditing
ssh-contact-client_0.7-1+b2_amd64.deb establish SSH connections to your IM contacts using Telepathy (client)
Advertisement
Advertisement